Support » Plugin: About.me Widget - NO LONGER SUPPORTED » breaks HTML5 validation

  • Resolved David Young

    (@deepinthecode)


    The about.me plugin places a style block above the div, and causes this message for an html5 validator:

    Element style not allowed as child of element div in this context.

    The site I’m trying to validate is deepinthecode.com.

    The code causing the problem is below:

    </div><style type="text/css">↩
    #am_thumbnail a {↩
    text-decoration: none;↩
    border: none;↩
    }↩
    #am_thumbnail img {↩
    text-decoration: none;↩
    border: 1px solid #999;↩
    max-width: 99%;↩
    }↩
    #am_name {↩
    margin-top: 5px;↩
    margin-bottom: 3px;↩
    }↩
    #am_headline {↩
    margin-bottom: 5px;↩
    }↩
    #am_bio {↩
    margin-bottom: 15px;↩
    }↩
    #am_bio p {↩
    margin-bottom: 5px;↩
    }↩
    #am_bio p:last-child {↩
    margin-bottom: 0px;↩
    }↩
    #am_services {↩
    margin-right: -5px;↩
    }↩
    #am_services a.am_service_icon {↩
    margin-right: 4px;↩
    text-decoration: none;↩
    border: none;↩
    }↩
    #am_services a.am_service_icon:hover {↩
    text-decoration: none;↩
    border: none;↩
    }↩
    #am_services a.am_service_icon img {↩
    border: none;↩
    margin-bottom: 4px;↩
    }↩
    /*↩
    #am_links a.am_link_icon img {↩
    border: none;↩
    text-decoration: none;↩
    vertical-align: middle;↩
    }↩
    #am_links a.am_link_icon img:hover {↩
    text-decoration: none;↩
    border: none;↩
    }↩
    */↩
    </style>↩
    <div class="widget aboutme_widget" id="aboutme_widget-2">

    https://wordpress.org/plugins/aboutme-widget/

Viewing 1 replies (of 1 total)
Viewing 1 replies (of 1 total)
  • The topic ‘breaks HTML5 validation’ is closed to new replies.